Owl Intranet Engine xrms_file_root Parameter Remote File Inclusion

High Nessus Network Monitor Plugin ID 3465

Synopsis

The remote web server contains a PHP script that suffers from a remote file include vulnerability.

Description

The remote host is running Owl Intranet Engine, a web-based document management system written in PHP. The version of Owl Intranet Engine on the remote host fails to sanitize user-supplied input to the 'xrms_file_root' parameter of the 'lib/OWL_API.php' script before using it in a PHP 'require_once' function. An unauthenticated attacker may be able to exploit this issue to view arbitrary files on the remote host or to execute arbitrary PHP code, possibly taken from third-party hosts.

Solution

No solution is known at this time.

See Also

http://downloads.securityfocus.com/vulnerabilities/exploits/owl_082_xpl.pl

Plugin Details

Severity: High

ID: 3465

File Name: 3465.prm

Family: CGI

Published: 2006/03/08

Modified: 2016/01/21

Dependencies: 1442

Nessus ID: 21025

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:W/RC:ND

CVSSv3

Base Score: 7.3

Temporal Score: 6.9

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:W/RC:X

Reference Information

CVE: CVE-2006-1149

BID: 17021

OSVDB: 23734